io.vertx.ext.sql

## Enum ResultSetConcurrency

- java.lang.Object
- - java.lang.Enum<ResultSetConcurrency>
  - - io.vertx.ext.sql.ResultSetConcurrency

- All Implemented Interfaces:
    Serializable, Comparable<ResultSetConcurrency>

      public enum ResultSetConcurrency
      extends Enum<ResultSetConcurrency>

  Represents the resultset concurrency hint
  Author:
    Paulo Lopes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ_ONLY`
    `UPDATABLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `static ResultSetConcurrency` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResultSetConcurrency[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_ONLY

          public static final ResultSetConcurrency READ_ONLY

    - #### UPDATABLE

          public static final ResultSetConcurrency UPDATABLE

  - ### Method Detail

    - #### values

          public static ResultSetConcurrency[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultSetConcurrency c : ResultSetConcurrency.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultSetConcurrency valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

Copyright © 2020 Eclipse. All rights reserved.